bluez-tools: Add package bluezetools
[feed/packages.git] / net / seafile-server / patches / 025-command-names.patch
1 --- a/scripts/reset-admin.sh
2 +++ b/scripts/reset-admin.sh
3 @@ -37,7 +37,7 @@ function check_python_executable() {
4 function validate_seafile_data_dir () {
5 if [[ ! -d ${default_seafile_data_dir} ]]; then
6 echo "Error: there is no seafile server data directory."
7 - echo "Have you run setup-seafile.sh before this?"
8 + echo "Have you run setup-seafile before this?"
9 echo ""
10 exit 1;
11 fi
12 --- a/scripts/seaf-fsck.sh
13 +++ b/scripts/seaf-fsck.sh
14 @@ -25,7 +25,7 @@ function usage () {
15 function validate_ccnet_conf_dir () {
16 if [[ ! -d ${default_ccnet_conf_dir} ]]; then
17 echo "Error: there is no ccnet config directory."
18 - echo "Have you run setup-seafile.sh before this?"
19 + echo "Have you run setup-seafile before this?"
20 echo ""
21 exit -1;
22 fi
23 @@ -34,7 +34,7 @@ function validate_ccnet_conf_dir () {
24 function validate_seafile_data_dir () {
25 if [[ ! -d ${default_seafile_data_dir} ]]; then
26 echo "Error: there is no seafile server data directory."
27 - echo "Have you run setup-seafile.sh before this?"
28 + echo "Have you run setup-seafile before this?"
29 echo ""
30 exit 1;
31 fi
32 --- a/scripts/seaf-fuse.sh
33 +++ b/scripts/seaf-fuse.sh
34 @@ -41,7 +41,7 @@ fi
35 function validate_ccnet_conf_dir () {
36 if [[ ! -d ${default_ccnet_conf_dir} ]]; then
37 echo "Error: there is no ccnet config directory."
38 - echo "Have you run setup-seafile.sh before this?"
39 + echo "Have you run setup-seafile before this?"
40 echo ""
41 exit -1;
42 fi
43 @@ -50,7 +50,7 @@ function validate_ccnet_conf_dir () {
44 function validate_seafile_data_dir () {
45 if [[ ! -d ${default_seafile_data_dir} ]]; then
46 echo "Error: there is no seafile server data directory."
47 - echo "Have you run setup-seafile.sh before this?"
48 + echo "Have you run setup-seafile before this?"
49 echo ""
50 exit 1;
51 fi
52 @@ -67,7 +67,7 @@ function validate_already_running () {
53 function warning_if_seafile_not_running () {
54 if ! pgrep -f "seafile-controller -c ${default_ccnet_conf_dir}" 2>/dev/null 1>&2; then
55 echo
56 - echo "Warning: seafile-controller not running. Have you run \"./seafile.sh start\" ?"
57 + echo "Warning: seafile-controller not running. Have you run \"service seafile-server start\" ?"
58 echo
59 fi
60 }
61 --- a/scripts/seaf-gc.sh
62 +++ b/scripts/seaf-gc.sh
63 @@ -27,7 +27,7 @@ function usage () {
64 function validate_ccnet_conf_dir () {
65 if [[ ! -d ${default_ccnet_conf_dir} ]]; then
66 echo "Error: there is no ccnet config directory."
67 - echo "Have you run setup-seafile.sh before this?"
68 + echo "Have you run setup-seafile before this?"
69 echo ""
70 exit -1;
71 fi
72 @@ -36,7 +36,7 @@ function validate_ccnet_conf_dir () {
73 function validate_seafile_data_dir () {
74 if [[ ! -d ${default_seafile_data_dir} ]]; then
75 echo "Error: there is no seafile server data directory."
76 - echo "Have you run setup-seafile.sh before this?"
77 + echo "Have you run setup-seafile before this?"
78 echo ""
79 exit 1;
80 fi
81 @@ -58,7 +58,7 @@ function check_component_running() {
82
83 function validate_already_running () {
84 if pid=$(pgrep -f "seafile-controller -c ${default_ccnet_conf_dir}" 2>/dev/null); then
85 - echo "seafile server is still running, stop it by \"seafile.sh stop\""
86 + echo "seafile server is still running, stop it by \"service seafile-server stop\""
87 echo
88 exit 1;
89 fi
90 --- a/scripts/seafile.sh
91 +++ b/scripts/seafile.sh
92 @@ -53,7 +53,7 @@ function validate_running_user () {
93 function validate_ccnet_conf_dir () {
94 if [[ ! -d ${default_ccnet_conf_dir} ]]; then
95 echo "Error: there is no ccnet config directory."
96 - echo "Have you run setup-seafile.sh before this?"
97 + echo "Have you run setup-seafile before this?"
98 echo ""
99 exit -1;
100 fi
101 @@ -62,7 +62,7 @@ function validate_ccnet_conf_dir () {
102 function validate_central_conf_dir () {
103 if [[ ! -d ${central_config_dir} ]]; then
104 echo "Error: there is no conf/ directory."
105 - echo "Have you run setup-seafile.sh before this?"
106 + echo "Have you run setup-seafile before this?"
107 echo ""
108 exit -1;
109 fi
110 @@ -71,7 +71,7 @@ function validate_central_conf_dir () {
111 function validate_seafile_data_dir () {
112 if [[ ! -d ${default_seafile_data_dir} ]]; then
113 echo "Error: there is no seafile server data directory."
114 - echo "Have you run setup-seafile.sh before this?"
115 + echo "Have you run setup-seafile before this?"
116 echo ""
117 exit 1;
118 fi
119 --- a/scripts/seahub.sh
120 +++ b/scripts/seahub.sh
121 @@ -78,7 +78,7 @@ function check_python_executable() {
122 function validate_ccnet_conf_dir () {
123 if [[ ! -d ${default_ccnet_conf_dir} ]]; then
124 echo "Error: there is no ccnet config directory."
125 - echo "Have you run setup-seafile.sh before this?"
126 + echo "Have you run setup-seafile before this?"
127 echo ""
128 exit -1;
129 fi
130 @@ -87,7 +87,7 @@ function validate_ccnet_conf_dir () {
131 function validate_seafile_data_dir () {
132 if [[ ! -d ${default_seafile_data_dir} ]]; then
133 echo "Error: there is no seafile server data directory."
134 - echo "Have you run setup-seafile.sh before this?"
135 + echo "Have you run setup-seafile before this?"
136 echo ""
137 exit 1;
138 fi
139 @@ -133,7 +133,7 @@ fi
140 function warning_if_seafile_not_running () {
141 if ! pgrep -f "seafile-controller -c ${default_ccnet_conf_dir}" 2>/dev/null 1>&2; then
142 echo
143 - echo "Warning: seafile-controller not running. Have you run \"./seafile.sh start\" ?"
144 + echo "Warning: seafile-controller not running. Have you run \"service seafile-server start\" ?"
145 echo
146 exit 1
147 fi
148 @@ -167,7 +167,7 @@ function start_seahub () {
149 sleep 5
150 if ! pgrep -f "$gunicorn_exe seahub.wsgi:application -c ${gunicorn_conf}" 2>/dev/null 1>&2; then
151 printf "\033[33mError:Seahub failed to start.\033[m\n"
152 - echo "Please try to run \"./seahub.sh start\" again"
153 + echo "Please try to run \"service seafile-server start\" again"
154 exit 1;
155 fi
156 echo
157 --- a/scripts/setup-seafile-mysql.py
158 +++ b/scripts/setup-seafile-mysql.py
159 @@ -1557,8 +1557,7 @@ def report_success():
160 Your seafile server configuration has been finished successfully.
161 -----------------------------------------------------------------
162
163 -run seafile server: ./seafile.sh { start | stop | restart }
164 -run seahub server: ./seahub.sh { start <port> | stop | restart <port> }
165 +run seafile server: service seafile-server { start | stop | restart }
166
167 -----------------------------------------------------------------
168 If you are behind a firewall, remember to allow input/output of these tcp ports:
169 --- a/scripts/setup-seafile.sh
170 +++ b/scripts/setup-seafile.sh
171 @@ -718,8 +718,7 @@ echo "----------------------------------
172 echo "Your seafile server configuration has been completed successfully."
173 echo "-----------------------------------------------------------------"
174 echo
175 -echo "run seafile server: ./seafile.sh { start | stop | restart }"
176 -echo "run seahub server: ./seahub.sh { start <port> | stop | restart <port> }"
177 +echo "run seafile server: service seafile-server { start | stop | restart }"
178 echo
179 echo "-----------------------------------------------------------------"
180 echo "If the server is behind a firewall, remember to open these tcp ports:"